SHUF(1)

NAVN
shuf - generate random permutations

OVERSIKT
shuf [VALG]... [FIL]
shuf -e [VALG]... [ARG]...
shuf -i LAV-HØY [VALG]...

BESKRIVELSE

Skriv ut inndatalinjer med en vilkårlig omsortering til stanardutdata.

Hvis ingen FIL er valgt, eller hvis FIL er «-», leser programmet standard inndata.

Argumenter som er obligatoriske for lange valg, er også obligatoriske for korte valg.

-e, --echo
    Behandle valgt(e) ARGument(er) som inndatalinjer.

-i, --input-range=LAV-HØY
    Behandle hvert tall mellom LAV og HØY som en inndatalinje.

-n, --head-count=ANT
    Ikke skriv ut flere enn angitt ANTall linjer.

-o, --output=FIL
    Skriv resultat til valgt FIL, i stedet for standardutdata.

--random-source=FIL
    Hent vilkårlighetsdata fra FIL.

-r, --repeat
    Utdatalinjer kan gjentas.

-z, --zero-terminated
    Skill mellom linjer med NUL i stedet for linjeskift.

--help
    Vis denne hjelpeteksten og avslutt.

--version
    Vis versjonsinformasjon og avslutt.

OPPHAVSMANN
Skrevet av Paul Eggert.

RAPPORTERING AV FEIL
Få hjelp til bruk av GNU coreutils på nett: <https://www.gnu.org/software/coreutils/>
Rapporter oversettelsesfeil til <https://translationproject.org/team/nb.html>

OPPHAVSRETT
Copyright © 2022 Free Software Foundation, Inc. Lisens GPLv3+: GNU GPL versjon 3 eller senere <https://gnu.org/licenses/gpl.html>.
Dette er fri programvare. Du kan endre og dele den videre. Det stilles INGEN GARANTI, i den grad dette tillates av gjeldende lovverk.

SE OGSÅ
Fullstendig dokumentasjon: <https://www.gnu.org/software/coreutils/shuf>
eller lokalt: info '(coreutils) shuf invocation'

OVERSETTELSE
Den norske oversettelsen av denne manualsiden er laget av

Denne oversettelsen er gratis dokumentasjon; se GNU General Public License versjon 3 (https://www.gnu.org/licenses/gpl-3.0.html) eller senere for opphavsrettsvilkår. Vi påtar oss INGEN ANSVAR.

Hvis du finner feil i oversettelsen av denne håndboksiden, vennligst send en e-post til <TODO>.